Overview
Comment: | Upgrade to Tcl/Tk 8.6.10 |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
e6fc8fa3738be1fe809fecd2ddd8a83a |
User & Date: | rkeene on 2020-01-22 18:44:13 |
Other Links: | manifest | tags |
Context
2020-01-22
| ||
18:44 | Delete incomplete files check-in: 0bc476af1b user: rkeene tags: trunk | |
18:44 | Upgrade to Tcl/Tk 8.6.10 check-in: e6fc8fa373 user: rkeene tags: trunk | |
2019-09-17
| ||
16:31 | Better handling of the case where no SDK is available check-in: feb20a3126 user: rkeene tags: trunk | |
Changes
Modified build/test/test from [0f58abd23a] to [4a10ab6106].
1 2 | #! /bin/bash | | | 1 2 3 4 5 6 7 8 9 10 | #! /bin/bash VERSIONS="8.5.19 8.6.10 fossil_trunk" # Find the base directory for x in 1 2 3 4 __fail__; do if [ "${x}" = "__fail__" ]; then echo 'Unable to find KitCreator, aborting.' >&2 exit 1 |
︙ | ︙ |
Modified build/web/kitcreator.vfs/index.rvt from [607487820f] to [319c05f57a].
︙ | ︙ | |||
58 59 60 61 62 63 64 65 66 67 68 69 70 71 | set tcl_versions(8.6.3) 8.6.3 set tcl_versions(8.6.4) 8.6.4 set tcl_versions(8.6.5) 8.6.5 set tcl_versions(8.6.6) 8.6.6 set tcl_versions(8.6.7) 8.6.7 set tcl_versions(8.6.8) 8.6.8 set tcl_versions(8.6.9) 8.6.9 set tcl_versions(fossil_trunk) "Fossil Trunk Tip" set tcl_version_list [lsort -dictionary [array names tcl_versions]] set tcl_version_selected [lindex $tcl_version_list end-1] # Platforms set platforms(android-arm) "Android/ARM" | > | 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 | set tcl_versions(8.6.3) 8.6.3 set tcl_versions(8.6.4) 8.6.4 set tcl_versions(8.6.5) 8.6.5 set tcl_versions(8.6.6) 8.6.6 set tcl_versions(8.6.7) 8.6.7 set tcl_versions(8.6.8) 8.6.8 set tcl_versions(8.6.9) 8.6.9 set tcl_versions(8.6.10) 8.6.10 set tcl_versions(fossil_trunk) "Fossil Trunk Tip" set tcl_version_list [lsort -dictionary [array names tcl_versions]] set tcl_version_selected [lindex $tcl_version_list end-1] # Platforms set platforms(android-arm) "Android/ARM" |
︙ | ︙ | |||
414 415 416 417 418 419 420 | close $secretfd ## Compute basic key set key [list $secret $build_platform $cache_tcl_version $cache_kitcreator_version $build_packages] ## Update key with options in deterministic order foreach option [lsort -dictionary [array names build_options]] { | < < < < < < < < | 415 416 417 418 419 420 421 422 423 424 425 426 427 428 | close $secretfd ## Compute basic key set key [list $secret $build_platform $cache_tcl_version $cache_kitcreator_version $build_packages] ## Update key with options in deterministic order foreach option [lsort -dictionary [array names build_options]] { lappend key [list "option:$option" $build_options($option)] } ## Convert key to a user-consumable string via hashing set key [string tolower [sha1::sha1 -hex $key]] # Determine filename |
︙ | ︙ |
Modified kitcreator from [5183dd0c35] to [595f0f5258].
︙ | ︙ | |||
9 10 11 12 13 14 15 | clean|distclean|build|retry) mode="$1" shift ;; esac # Determine which Tcl version to build | | | 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 | clean|distclean|build|retry) mode="$1" shift ;; esac # Determine which Tcl version to build TCLVERS="8.6.10" if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then TCLVERS="$1" shift fi export TCLVERS |
︙ | ︙ |
Modified tcl/build.sh from [5b6c5b51df] to [7f5bc87155].
︙ | ︙ | |||
45 46 47 48 49 50 51 52 53 54 55 56 57 58 | ;; 8.6.8) SRCHASH='c43cb0c1518ce42b00e7c8f6eaddd5195c53a98f94adc717234a65cbcfd3f96a' ;; 8.6.9) SRCHASH='ad0cd2de2c87b9ba8086b43957a0de3eb2eb565c7159d5f53ccbba3feb915f4e' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TCL_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TCL_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TCL_CPPFLAGS}" LIBS="${LIBS} ${KC_TCL_LIBS}" | > > > | 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 | ;; 8.6.8) SRCHASH='c43cb0c1518ce42b00e7c8f6eaddd5195c53a98f94adc717234a65cbcfd3f96a' ;; 8.6.9) SRCHASH='ad0cd2de2c87b9ba8086b43957a0de3eb2eb565c7159d5f53ccbba3feb915f4e' ;; 8.6.10) SRCHASH='5196dbf6638e3df8d5c87b5815c8c2b758496eb6f0e41446596c9a4e638d87ed' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TCL_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TCL_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TCL_CPPFLAGS}" LIBS="${LIBS} ${KC_TCL_LIBS}" |
︙ | ︙ |
Modified tk/build.sh from [7d5a34e456] to [5f1c9d8046].
︙ | ︙ | |||
45 46 47 48 49 50 51 52 53 54 55 56 57 58 | ;; 8.6.8) SRCHASH='49e7bca08dde95195a27f594f7c850b088be357a7c7096e44e1158c7a5fd7b33' ;; 8.6.9) SRCHASH='d3f9161e8ba0f107fe8d4df1f6d3a14c30cc3512dfc12a795daa367a27660dac' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TK_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TK_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TK_CPPFLAGS}" LIBS="${LIBS} ${KC_TK_LIBS}" | > > > | 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 | ;; 8.6.8) SRCHASH='49e7bca08dde95195a27f594f7c850b088be357a7c7096e44e1158c7a5fd7b33' ;; 8.6.9) SRCHASH='d3f9161e8ba0f107fe8d4df1f6d3a14c30cc3512dfc12a795daa367a27660dac' ;; 8.6.10) SRCHASH='63df418a859d0a463347f95ded5cd88a3dd3aaa1ceecaeee362194bc30f3e386' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TK_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TK_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TK_CPPFLAGS}" LIBS="${LIBS} ${KC_TK_LIBS}" |
︙ | ︙ |